﻿@using Jumbula.Common.Helper
@model SportsClub.Models.ParentsAddressViewModel

@{
    ViewBag.Title = "  Parents Address";
    ViewBag.IsRegistrantReport = true;
}
@using (Html.BeginForm("ParentsAddress", "Registrant", FormMethod.Post, new { @id = "ParentsAddress", @name = "myForm" }))
{
    @Html.AntiForgeryToken()
    <div class="container">
        <div class="title-page">
            <h1>
                Parents Address
            </h1>
        </div>
        <div class="wrapper">
            <div id="wrapper-title">

            </div>
            <div class="wrapper-content">
                <div id="resultTarget">
                    @Html.Partial("_ParentsAddress", Model)
                </div>
            </div>
        </div>


    </div>
}
@section Styles{
    <link href="~/Content/Student/Dashboard/Order.css" rel="stylesheet" />
}

@section scripts {
    <script>
        function EditDetailsPlayer() {
            var newUrl = '@Url.Action("GetFamiliesProfile", "Registrant")';
            var form = $("#ParentsAddress");
            var formData = form.serialize();
            $.ajax({
                type: 'Post',
                data: formData,
                url: "/Registrant/ParentsAddress",
                cache: false,
                success: function (data) {
                    if (data.Status) {
                        toastr.success("You have successfully update your Address.");
                        var delay = 2000;
                        setTimeout(function () { window.location.href = newUrl; }, delay);

                    }
                    else {

                        $("#resultTarget").html(data);
                    }
                },
                error: function (req) {
                    $("#resultTarget").html(data);
                }
            });

            return false;
        }




    </script>

}
